com.taosdata.jdbc.rs

## Class RestfulResultSet.Field

- java.lang.Object
- - com.taosdata.jdbc.rs.RestfulResultSet.Field

Enclosing class:
  RestfulResultSet

    public static class RestfulResultSet.Field
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Field(String name, int type, int length, String note, int taos_type, int scale)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`
`int` `getScale()`
`int` `getTaosType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Field

    public Field(String name,
                 int type,
                 int length,
                 String note,
                 int taos_type,
                 int scale)

### Method Detail

#### getTaosType

    public int getTaosType()

#### getName

    public String getName()

#### getScale

    public int getScale()